Subject: Re: bug#53233: installing gnome-terminal on a foreign distribution causes login to fail

From: Leo Famulari <[email-masked]>
Date: Thu, 13 Jan 2022 13:10:40 -0500

On Thu, Jan 13, 2022 at 12:42:18PM -0500, Maxim Cournoyer wrote:
> Hello Guix,
> 
> I'm lacking investigation detail, but this seems worthy of reporting.
> 
> I had tested installing gnome-terminal from guix on top of a Debian
> stable distribution, and was surprised that login would not longer work
> (!)  until I 'guix remove gnome-terminal' from a TTY.

On Debian 11 (current stable), I did this:

                             recent commit, from today
			     |
------                       ▼
$ guix time-machine --commit=ea71ec1630e06503c14c6e7f4570b69de4e42123 -- install gnome-terminal
$ gnome-terminal
# Error creating terminal: The name org.gnome.Terminal was not provided by any .service files
$
------

So, it doesn't work in general. But, it also doesn't break login. I
tried `bash --login` and also logged in from the console in another TTY.

However, my system doesn't use a desktop environment or login manager. I
login from the console and run `startx`.